CREATE TABLE egp_trans_attrs_b_ (
    TRANS_ATTR_ID             NUMBER(18, 0) ,
    UOM_CODE                  VARCHAR2(12)  ,
    INTERNAL_NAME             VARCHAR2(400) ,
    BASE_VALUE_SET_ID         NUMBER(18, 0) ,
    DATA_TYPE_CODE            VARCHAR2(4)   ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256) ,
    CREATION_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)  ,
    ITEM_CLASS_ID             NUMBER(18, 0) ,
    AUDIT_ACTION_TYPE_        VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_     VARCHAR2(4000),
    AUDIT_IMPERSONATOR_       VARCHAR2(256) ,
    TRANS_ATTR_ID             NUMBER(18, 0) ,
    UOM_CODE                  VARCHAR2(12)  ,
    INTERNAL_NAME             VARCHAR2(400) ,
    BASE_VALUE_SET_ID         NUMBER(18, 0) ,
    DATA_TYPE_CODE            VARCHAR2(4)   ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256) ,
    CREATION_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_        VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_     VARCHAR2(4000),
    AUDIT_IMPERSONATOR_       VARCHAR2(256) ,
    ITEM_CLASS_ID             NUMBER(18, 0) ,
    CONSTRAINT pk_egp_trans_attrs_b_ PRIMARY KEY (TRANS_ATTR_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, TRANS_ATTR_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
